@extends('layouts.app')

@section('content')
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Agregar Nueva Regional</h3>
      <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <form action="{{ route('regionales.store') }}" method="POST">
        @csrf
        <div class="form-group">
            <label for="nombre">Nombre de la Regional</label>
            <input type="text" name="nombre" id="nombre" class="form-control"value="{{ old('nombre')}}"  required>
            @error('nombre')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        <div class="form-group">
            <label for="telefono">Teléfono</label>
            <input type="text" name="telefono" id="telefono" maxlength="8" class="form-control">
            @error('telefono')
            <small class="text-danger">{{ $message }}</small>
            @enderror
        </div>
        <button type="submit" class="btn btn-success mt-3">Guardar</button>
        <a href="{{ route('regionales.index') }}" class="btn btn-secondary mt-3">Cancelar</a>
    </form>
</div>
</div>
</div>
</div>
</div>
</div>
@endsection
