

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Editar Certificado de Matrimonio</h3>
      <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <form action="<?php echo e(route('certificados.update', $certificado->id)); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>

        <input type="hidden" name="tipo" value="matrimonio">

        <div class="form-group">
            <label for="miembro_senor">Señor (Seleccione un miembro o ingrese manualmente)</label>
            <select id="miembro_senor" name="miembro_senor_id" class="form-control select2">
                <option value="">Seleccione un miembro...</option>
                <?php $__currentLoopData = $miembros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $miembro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($miembro->id); ?>" <?php echo e($miembro->id == $certificado->miembro_senor_id ? 'selected' : ''); ?>>
                        <?php echo e($miembro->nombre); ?> <?php echo e($miembro->apellidos); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
            <input type="text" id="senor_input" name="senor" class="form-control mt-2"
                   value="<?php echo e($certificado->senor); ?>" style="<?php echo e($certificado->miembro_senor_id ? 'display: none;' : ''); ?>"
                   placeholder="Ingrese el nombre del señor">
        </div>

        <div class="form-group">
            <label for="miembro_senora">Señora (Seleccione un miembro o ingrese manualmente)</label>
            <select id="miembro_senora" name="miembro_senora_id" class="form-control select2">
                <option value="">Seleccione un miembro...</option>
                <?php $__currentLoopData = $miembros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $miembro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($miembro->id); ?>" <?php echo e($miembro->id == $certificado->miembro_senora_id ? 'selected' : ''); ?>>
                        <?php echo e($miembro->nombre); ?> <?php echo e($miembro->apellidos); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
            <input type="text" id="senora_input" name="senora" class="form-control mt-2"
                   value="<?php echo e($certificado->senora); ?>" style="<?php echo e($certificado->miembro_senora_id ? 'display: none;' : ''); ?>"
                   placeholder="Ingrese el nombre de la señora">
        </div>

        <div class="form-group">
            <label for="iglesia_id">Iglesia</label>
            <select name="iglesia_id" class="form-control">
                <option value="">Seleccione una iglesia...</option>
                <?php $__currentLoopData = $iglesias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($iglesia->id); ?>" <?php echo e($iglesia->id == $certificado->iglesia_id ? 'selected' : ''); ?>>
                        <?php echo e($iglesia->nombre); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>

        <div class="form-group">
            <label for="numero">Número Certificado</label>
            <input type="text" name="numero" class="form-control" value="<?php echo e($certificado->numero); ?>">
        </div>

        <div class="form-group">
            <label for="notaria_numero">Notaría Número</label>
            <input type="text" name="notaria_numero" class="form-control" value="<?php echo e($certificado->notaria_numero); ?>">
        </div>

        <div class="form-group">
            <label for="libro_numero">Número Libro</label>
            <input type="text" name="libro_numero" class="form-control" value="<?php echo e($certificado->libro_numero); ?>">
        </div>

        <div class="form-group">
            <label for="folio">Folio</label>
            <input type="text" name="folio" class="form-control" value="<?php echo e($certificado->folio); ?>">
        </div>

        <div class="form-group">
            <label for="fecha_matrimonio">Fecha de Matrimonio</label>
            <input type="date" name="fecha_matrimonio" class="form-control" value="<?php echo e($certificado->fecha_matrimonio); ?>">
        </div>

        <button type="submit" class="btn btn-success">Actualizar Certificado</button>
        <a href="<?php echo e(route('certificados.index')); ?>" class="btn btn-secondary">Cancelar</a>
    </form>
</div>
</div>
</div>
</div>
</div>
</div>
<script>
    $(document).ready(function() {
        $('#miembro_senor').change(function() {
            $('#senor_input').toggle(!$(this).val());
        });

        $('#miembro_senora').change(function() {
            $('#senora_input').toggle(!$(this).val());
        });
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sananton/public_html/betesda/resources/views/certificados/edit_matrimonio.blade.php ENDPATH**/ ?>