

<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="section-header">
        <h3 class="page__heading text-center" style="font-size: 24px; color: #ffffff;">Imagen de QR</h3>
    </div>

    <!-- Botón de agregar QR con icono -->
    <a href="<?php echo e(route('QR.create')); ?>" class="btn btn-primary mb-3">
        <i class="fas fa-plus-circle"></i> <!-- Icono de agregar -->
    </a>

    <div class="card">
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-striped table-hover mt-2">
                    <thead style="background-color: #4b55ec">
                        <tr>
                            <th style="color:#ffffff; text-align: center;">Fecha</th>
                            <th style="color:#ffffff; text-align: center;">Fecha Vencimiento</th>
                            <th style="color:#ffffff; text-align: center;">Foto</th>
                            <th style="color:#ffffff; text-align: center;">Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $QR; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Q): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($Q->estado == 1): ?>
                                <tr>
                                    <td class="text-center"><?php echo e(\Carbon\Carbon::parse($Q->fecha)->format('d/m/Y')); ?></td>
                                    <td class="text-center"><?php echo e(\Carbon\Carbon::parse($Q->fechav)->format('d/m/Y')); ?></td>
                                    <td class="text-center">
                                        <?php if($Q->fotoqr): ?>
                                            <img src="<?php echo e(asset('storage/' . $Q->fotoqr)); ?>" alt="Foto QR" class="img-thumbnail" style="max-width: 100px;">
                                        <?php else: ?>
                                            <span class="text-muted">No disponible</span>
                                        <?php endif; ?>
                                    </td>
                                    <td class="text-center">
                                        <!-- Botón de editar -->
                                        <a href="<?php echo e(route('QR.edit', $Q->id)); ?>" class="btn btn-sm btn-warning">
                                            <i class="fas fa-edit"></i> <!-- Icono de edición -->
                                        </a>
                                        <!-- Botón de eliminar -->
                                        <form action="<?php echo e(route('QR.destroy', $Q->id)); ?>" method="POST" class="d-inline">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('¿Estás seguro de querer eliminar este QR?')">
                                                <i class="fas fa-trash-alt"></i> <!-- Icono de eliminar -->
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/QR/index.blade.php ENDPATH**/ ?>