

<?php $__env->startSection('content'); ?>

    <h3 class="text-center mb-4" style="color: #eeeff4;">Mis Certificados</h3>

        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
    <?php if($certificados->isEmpty()): ?>
        <div class="alert alert-info">
            Aún no tienes certificados registrados.
        </div>
    <?php else: ?>
        <table class="table table-striped table-hover">
            <thead style="background-color:#2c08f5">
                <tr>
                    <th style="color:#ffffff">Tipo</th>
                    <th style="color:#ffffff">Fecha</th>
                    <th style="color:#ffffff">Iglesia</th>
                    
                    <th style="color:#ffffff">Folio</th>
                    <th style="color:#ffffff">Estado de Pago</th>
                    <th style="color:#ffffff">Acciones</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $certificados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e(ucfirst($certificado->tipo)); ?></td>
                    <td>
                        <?php if($certificado->tipo == 'matrimonio'): ?>
                            <?php echo e($certificado->fecha_matrimonio ? \Carbon\Carbon::parse($certificado->fecha_matrimonio)->format('d/m/Y') : '-'); ?>

                        <?php else: ?>
                            <?php echo e($certificado->fecha ? \Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y') : '-'); ?>

                        <?php endif; ?>
                    </td>
                    <td><?php echo e($certificado->iglesia ? $certificado->iglesia->nombre : '-'); ?></td>
                    
                    <td><?php echo e($certificado->folio ?? '-'); ?></td>
                    <td>
                        <?php if($certificado->tipo == 'bautismo'): ?>
                            <span class="badge bg-secondary">No aplica</span>
                        <?php else: ?>
                            <span class="badge bg-<?php echo e($certificado->pagoCompleto() ? 'success' : 'warning'); ?>">
                                <?php echo e($certificado->pagoCompleto() ? 'Completo' : 'Incompleto'); ?>

                            </span>
                        <?php endif; ?>
                    </td>
                    <td>
                        <?php if(($certificado->tipo === 'bautismo') || ($certificado->pagoCompleto() && ($certificado->tipo === 'matrimonio' || $certificado->tipo === 'consagracion'))): ?>
                        <a href="<?php echo e(route('certificados.pdf', $certificado->id)); ?>" class="btn btn-danger">
                            <i class="fas fa-file-pdf"></i> Descargar Certificado
                        </a>
                    <?php endif; ?>
                    </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    <?php endif; ?>
</div>
</div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sananton/public_html/betesda/resources/views/miembros/dashboard.blade.php ENDPATH**/ ?>