

<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="section-header">
        <h3 class="page__heading" style="font-size: 24px; color: white;">Editar QR</h3>
    </div>
                <form action="<?php echo e(route('QR.update', $QR->id)); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
              
                        <div class="form-group">
                            <label for="fecha">Fecha:</label>
                            <input type="date" name="fecha" class="form-control" required min="<?php echo e(\Carbon\Carbon::now()->format('Y-m-d')); ?>"  value="<?php echo e($QR->fecha); ?>">
                        </div>
                        
                        <div class="form-group">
                            <label for="fechav">Fecha vencimiento:</label>
                            <input type="date" name="fechav" class="form-control" required min="<?php echo e(\Carbon\Carbon::now()->format('Y-m-d')); ?>"  value="<?php echo e($QR->fechav); ?>">
                        </div>
                        
                    <div class="form-group">
                        <label for="foto">Foto:</label>
                        <input type="file" name="fotoqr" class="form-control-file">
                        <?php if($QR->fotoqr): ?>
                            <img src="<?php echo e(asset('storage/' . $QR->fotoqr)); ?>" alt="Foto actual" style="max-width: 200px; margin-top: 10px;">
                        <?php endif; ?>
                    </div>
                    <button type="submit" class="btn btn-primary">Guardar Cambios</button>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/QR/edit.blade.php ENDPATH**/ ?>