@extends('layouts.app')

@section('content')
<div class="container">
    <div class="section-header">
        <h3 class="page__heading" style="font-size: 24px; color: white;">Editar QR</h3>
    </div>
                <form action="{{ route('QR.update', $QR->id) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    @method('PUT')
              
                        <div class="form-group">
                            <label for="fecha">Fecha:</label>
                            <input type="date" name="fecha" class="form-control" required min="{{ \Carbon\Carbon::now()->format('Y-m-d') }}"  value="{{ $QR->fecha }}">
                        </div>
                        
                        <div class="form-group">
                            <label for="fechav">Fecha vencimiento:</label>
                            <input type="date" name="fechav" class="form-control" required min="{{ \Carbon\Carbon::now()->format('Y-m-d') }}"  value="{{ $QR->fechav }}">
                        </div>
                        
                    <div class="form-group">
                        <label for="foto">Foto:</label>
                        <input type="file" name="fotoqr" class="form-control-file">
                        @if($QR->fotoqr)
                            <img src="{{ asset('storage/' . $QR->fotoqr) }}" alt="Foto actual" style="max-width: 200px; margin-top: 10px;">
                        @endif
                    </div>
                    <button type="submit" class="btn btn-primary">Guardar Cambios</button>
                </form>
            </div>
        </div>
    </div>
@endsection
