

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Registrar Certificado</h3>

    <!-- Seleccionar el tipo de certificado -->
    <div class="form-group">
        <label for="tipo">Seleccione el tipo de certificado:</label>
        <select id="tipo" class="form-control">
            <option value="">Seleccione un tipo...</option>
            <option value="bautismo">Certificado de Bautismo</option>
            <option value="matrimonio">Certificado de Matrimonio</option>
            <option value="consagracion">Certificado de Consagración</option>
        </select>
    </div>

    <!-- Formularios específicos para cada tipo de certificado -->
    <div id="form-certificados">
        <!-- Formulario de Bautismo -->
        <form id="form-bautismo" action="<?php echo e(route('certificados.store')); ?>" method="POST" style="display: none;">
            <?php echo csrf_field(); ?>
            <input type="hidden" name="tipo" value="bautismo">
            <div class="form-group">
                <label for="miembro_id">Hermano(a)</label>
                <select name="miembro_id" class="select2">
                    <option value="">Seleccione un miembro...</option>
                    <?php $__currentLoopData = $miembros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $miembro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($miembro->id); ?>"><?php echo e($miembro->nombre); ?> <?php echo e($miembro->apellidos); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
            <div class="form-group">
                <label for="iglesia_id">Iglesia</label>
                <select name="iglesia_id" class="form-control">
                    <option value="">Seleccione una iglesia...</option>
                    <?php $__currentLoopData = $iglesias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($iglesia->id); ?>"><?php echo e($iglesia->nombre); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
            </div>
       
            <div class="form-group">
                <label for="otorgado">Otorgado por:</label>
                <input type="text" name="otorgado" class="form-control">
            </div>
            <div class="form-group">
                <label for="lugar">En (lugar)</label>
                <input type="text" name="lugar" class="form-control">
            </div>
            <div class="form-group">
                <label for="fecha">Fecha</label>
                <input type="date" name="fecha" class="form-control">
            </div>
            <button type="submit" class="btn btn-success">Guardar Certificado</button>
        </form>
<!-- Formulario de Matrimonio -->
<!-- Formulario de Matrimonio Mejorado -->
<form id="form-matrimonio" action="<?php echo e(route('certificados.store')); ?>" method="POST" style="display: none;">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="tipo" value="matrimonio">

    <div class="form-group">
        <label for="miembro_senor">Señor (Seleccione un miembro o ingrese manualmente)</label>
        <select id="miembro_senor" name="miembro_senor_id" class="form-control select2">
            <option value="">Seleccione un miembro...</option>
            <?php $__currentLoopData = $miembros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $miembro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($miembro->id); ?>"><?php echo e($miembro->nombre); ?> <?php echo e($miembro->apellidos); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <input type="text" id="senor_input" name="senor" class="form-control mt-2" style="display: none;" placeholder="Ingrese el nombre del señor">
    </div>
    
    <div class="form-group">
        <label for="miembro_senora">Señora (Seleccione un miembro o ingrese manualmente)</label>
        <select id="miembro_senora" name="miembro_senora_id" class="form-control select2">
            <option value="">Seleccione un miembro...</option>
            <?php $__currentLoopData = $miembros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $miembro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($miembro->id); ?>"><?php echo e($miembro->nombre); ?> <?php echo e($miembro->apellidos); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <input type="text" id="senora_input" name="senora" class="form-control mt-2" style="display: none;" placeholder="Ingrese el nombre de la señora">
    </div>

    <div class="form-group">
        <label for="iglesia_id">Iglesia</label>
        <select name="iglesia_id" class="form-control">
            <option value="">Seleccione una iglesia...</option>
            <?php $__currentLoopData = $iglesias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($iglesia->id); ?>"><?php echo e($iglesia->nombre); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>

   
    <div class="form-group">
        <label for="notaria_numero">Notaría Número</label>
        <input type="text" name="notaria_numero" class="form-control">
    </div>

    <div class="form-group">
        <label for="libro_numero">Número Libro</label>
        <input type="text" name="libro_numero" class="form-control">
    </div>

   

    <div class="form-group">
        <label for="fecha_matrimonio">Fecha de Matrimonio</label>
        <input type="date" name="fecha_matrimonio" class="form-control">
    </div>

    <button type="submit" class="btn btn-success">Guardar Certificado</button>
</form>



        <!-- Formulario de Consagración -->
    <!-- Formulario de Consagración -->
<form id="form-consagracion" action="<?php echo e(route('certificados.store')); ?>" method="POST" style="display: none;">
    <?php echo csrf_field(); ?>
    <input type="hidden" name="tipo" value="consagracion">
    <div class="form-group">
        <label for="miembro_id">Niño(a)</label>
        <select name="miembro_id" class="select2">
            <option value="">Seleccione un miembro...</option>
            <?php $__currentLoopData = $miembros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $miembro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($miembro->id); ?>"><?php echo e($miembro->nombre); ?> <?php echo e($miembro->apellidos); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>
    <div class="form-group">
        <label for="iglesia_id">Iglesia</label>
        <select name="iglesia_id" class="form-control">
            <option value="">Seleccione una iglesia...</option>
            <?php $__currentLoopData = $iglesias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $iglesia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($iglesia->id); ?>"><?php echo e($iglesia->nombre); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>

    <div class="form-group">
        <label for="padre">Padre</label>
        <input type="text" name="padre" class="form-control">
    </div>
    <div class="form-group">
        <label for="madre">Madre</label>
        <input type="text" name="madre" class="form-control">
    </div>
    <div class="form-group">
        <label for="fecha">Fecha</label>
        <input type="date" name="fecha" class="form-control">
    </div>
    <button type="submit" class="btn btn-success">Guardar Certificado</button>
</form>

    </div>

    <a href="<?php echo e(route('certificados.index')); ?>" class="btn btn-secondary mt-3">Cancelar</a>
</div>

<script>
document.getElementById('tipo').addEventListener('change', function() {
    const tipo = this.value;

    // Ocultar todos los formularios
    document.getElementById('form-bautismo').style.display = 'none';
    document.getElementById('form-matrimonio').style.display = 'none';
    document.getElementById('form-consagracion').style.display = 'none';

    // Mostrar el formulario correspondiente
    if (tipo === 'bautismo') {
        document.getElementById('form-bautismo').style.display = 'block';
    } else if (tipo === 'matrimonio') {
        document.getElementById('form-matrimonio').style.display = 'block';
    } else if (tipo === 'consagracion') {
        document.getElementById('form-consagracion').style.display = 'block';
    }
});
</script>
<?php $__env->startSection('scripts'); ?>
<script>
    $(document).ready(function() {
        // Inicializar Select2
        $('.select2').select2({
            placeholder: "Seleccione un miembro...",
            allowClear: true
        });

        // Al seleccionar un miembro en el select de Señor, cambiar Señora a input y viceversa
        $('#miembro_senor').change(function() {
            var selectedSenor = $(this).val();
            if (selectedSenor) {
                $('#miembro_senora').prop('disabled', true);  // Deshabilitar el select de señora
                $('#miembro_senora').select2(); // Refrescar select2
                $('#senora_input').show();    // Mostrar el input de señora
            } else {
                $('#miembro_senora').prop('disabled', false);  // Habilitar el select de señora
                $('#miembro_senora').select2(); // Refrescar select2
                $('#senora_input').hide();    // Ocultar el input de señora
            }
        });

        $('#miembro_senora').change(function() {
            var selectedSenora = $(this).val();
            if (selectedSenora) {
                $('#miembro_senor').prop('disabled', true);  // Deshabilitar el select de señor
                $('#miembro_senor').select2(); // Refrescar select2
                $('#senor_input').show();    // Mostrar el input de señor
            } else {
                $('#miembro_senor').prop('disabled', false);  // Habilitar el select de señor
                $('#miembro_senor').select2(); // Refrescar select2
                $('#senor_input').hide();    // Ocultar el input de señor
            }
        });
    });
</script>


<?php $__env->stopSection(); ?>
<!-- CSS de Select2 -->
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0/dist/css/select2.min.css" rel="stylesheet" />

<!-- JS de jQuery y Select2 -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0/dist/js/select2.min.js"></script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/certificados/create.blade.php ENDPATH**/ ?>