

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center text-primary mb-4">Reportes de Certificados y Pagos</h3>

    <!-- Resumen de reportes con enlaces a vistas detalladas -->
    <div class="row">
        <!-- Total de Certificados Emitidos por Iglesia y Regional -->
        <div class="col-md-4 mb-3">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Total de Certificados Emitidos</h5>
                    <p class="card-text"><strong>Total:</strong> <?php echo e($totalCertificados); ?></p>
                    <a href="<?php echo e(route('reportes.total_certificados')); ?>" class="btn btn-info">Ver Detalle</a>
                </div>
            </div>
        </div>

        <!-- Certificados Emitidos por Tipo, Iglesia y Regional -->
        <div class="col-md-4 mb-3">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Certificados por Tipo, Iglesia y Regional</h5>
                    <p class="card-text"><strong>Certificados por tipo:</strong></p>
                    <ul class="card-text">
                        <?php $__currentLoopData = $certificadosPorTipo; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e(ucfirst($item->tipo)); ?>: <?php echo e($item->total); ?></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                    <a href="<?php echo e(route('reportes.certificados_por_tipo')); ?>" class="btn btn-info">Ver Detalle</a>
                </div>
            </div>
        </div>

        <!-- Pagos Realizados por Certificado, Iglesia y Regional -->
        <div class="col-md-4 mb-3">
            <div class="card">
                <div class="card-body">
                    <h5 class="card-title">Pagos Realizados por Iglesia y Regional</h5>
                    <p class="card-text"><strong>Total de pagos realizados:</strong></p>
                    <ul class="card-text">
                        <?php $__currentLoopData = $pagosPorIglesia; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pago): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><?php echo e($pago->certificado->iglesia->nombre); ?> - <?php echo e($pago->total); ?> Bs</li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                    <a href="<?php echo e(route('reportes.pagos_por_iglesia')); ?>" class="btn btn-info">Ver Detalle</a>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/reportes/index.blade.php ENDPATH**/ ?>