

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Listado de Regionales</h3>
    <a href="<?php echo e(route('regionales.create')); ?>" class="btn btn-primary mb-3">Agregar Regional</a>

    <?php if($message = Session::get('success')): ?>
    <div class="alert alert-success">
        <?php echo e($message); ?>

    </div>
    <?php endif; ?>

    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th>Nombre</th>
                <th>Teléfono</th>
                <th>Estado</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $regionales; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $regionale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e($regionale->nombre); ?></td>
                <td><?php echo e($regionale->telefono); ?></td>
                <td><?php echo e($regionale->estado ? 'Activo' : 'Inactivo'); ?></td>
                <td>
                    <a href="<?php echo e(route('regionales.edit', $regionale->id)); ?>" class="btn btn-warning">Editar</a>
                    <form action="<?php echo e(route('regionales.destroy', $regionale->id)); ?>" method="POST" style="display:inline;">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('DELETE'); ?>
                        <button type="submit" class="btn btn-danger"><?php echo e($regionale->estado ? 'Desactivar' : 'Activar'); ?></button>
                    </form>
                </td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/regionales/index.blade.php ENDPATH**/ ?>