<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Regional extends Model
{
    use HasFactory;

    // Definir la tabla asociada (si no sigue la convención de nombres)
    protected $table = 'regionales';

    // Definir los campos asignables en masa
    protected $fillable = ['nombre','estado','telefono'];
    public function iglesias()
{
    return $this->hasMany(Iglesia::class);
}

}
