<!-- Inicio -->
<li class="side-menus <?php echo e(Request::is('home*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('home')); ?>">
        <i class="fas fa-building"></i><span> Inicio</span>
    </a>
</li>

<!-- Opciones para Administrador -->
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Administrador')): ?>
<li class="side-menus <?php echo e(Request::is('roles*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('roles.index')); ?>">
        <i class="fas fa-user-shield"></i><span> Roles</span>
    </a>
</li>
<li class="side-menus <?php echo e(Request::is('usuarios*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('usuarios.index')); ?>">
        <i class="fas fa-users"></i><span> Usuarios</span>
    </a>
</li>

<li class="side-menus <?php echo e(Request::is('QR*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('QR.index')); ?>">
        <i class="fas fa-qrcode"></i><span> QR</span>
    </a>
</li>
<?php endif; ?>

<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Administrador')): ?>
<li class="side-menus <?php echo e(Request::is('regionales*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('regionales.index')); ?>">
        <i class="fas fa-map-marked-alt"></i><span> Regionales</span>
    </a>
<li class="side-menus <?php echo e(Request::is('iglesias*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('iglesias.index')); ?>">
        <i class="fas fa-church"></i><span> Iglesias</span>
    </a>
</li></li><li class="side-menus <?php echo e(Request::is('secretarios*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('secretarios.index')); ?>">
        <i class="fas fa-user-tie"></i><span> Secretarios</span>
    </a>
</li>

<?php endif; ?>

<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Secretario_Actas')): ?>
<li class="side-menus <?php echo e(Request::is('miembros*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('miembros.index')); ?>">
        <i class="fas fa-users"></i><span> Miembros</span>
    </a>
</li>

<li class="side-menus <?php echo e(Request::is('certificados*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('certificados.index')); ?>">
        <i class="fas fa-certificate"></i><span> Certificados</span>
    </a>
</li>

<li class="side-menus <?php echo e(Request::is('pagos*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('pagos.index')); ?>">
        <i class="fas fa-receipt"></i><span> Historial de pagos</span>
    </a>
</li>
<?php endif; ?>

<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Presidente')): ?>
<li class="side-menus <?php echo e(Request::is('reportes*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('reportes.index')); ?>">
        <i class="fas fa-file-alt"></i><span> Reportes</span>
    </a>
</li>
<?php endif; ?>

<!-- Opciones para Miembros -->
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Miembro')): ?>
<li class="side-menus <?php echo e(Request::is('miembros/dashboard*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('miembros.dashboard')); ?>">
        <i class="fas fa-file-alt"></i><span> Mis Certificados</span>
    </a>
</li>
<?php endif; ?>
<?php /**PATH /home/sananton/public_html/betesda/resources/views/layouts/menu.blade.php ENDPATH**/ ?>