

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 class="text-center" style="color: #eeeff4;">Editar Certificado de Bautismo</h3>
      
    <div class="section-body">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
    <form action="<?php echo e(route('certificados.update', $certificado->id)); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>

        <input type="hidden" name="tipo" value="bautismo">

        <div class="form-group">
            <label for="miembro_id">Hermano(a)</label>
            <select name="miembro_id" class="select2 form-control">
                <option value="">Seleccione un miembro...</option>
                <?php $__currentLoopData = $miembros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $miembro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($miembro->id); ?>" <?php echo e($miembro->id == $certificado->miembro_id ? 'selected' : ''); ?>>
                        <?php echo e($miembro->nombre); ?> <?php echo e($miembro->apellidos); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>
        <div class="form-group">
            <label for="numero">Número</label>
            <input type="text" name="numero" class="form-control" value="<?php echo e($certificado->numero); ?>">
        </div>
        <div class="form-group">
            <label for="folio">Folio</label>
            <input type="text" name="folio" class="form-control" value="<?php echo e($certificado->folio); ?>">
        </div>
        <div class="form-group">
            <label for="otorgado">Otorgado por:</label>
            <input type="text" name="otorgado" class="form-control" value="<?php echo e($certificado->otorgado); ?>">
        </div>
        <div class="form-group">
            <label for="lugar">En (lugar)</label>
            <input type="text" name="lugar" class="form-control" value="<?php echo e($certificado->lugar); ?>">
        </div>
        <div class="form-group">
            <label for="fecha">Fecha</label>
            <input type="date" name="fecha" class="form-control" value="<?php echo e($certificado->fecha); ?>">
        </div>

        <button type="submit" class="btn btn-success">Actualizar Certificado</button>
        <a href="<?php echo e(route('certificados.index')); ?>" class="btn btn-secondary">Cancelar</a>
    </form>
</div>
</div>
</div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sananton/public_html/betesda/resources/views/certificados/edit_bautismo.blade.php ENDPATH**/ ?>