<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Certificado de Bautismo</title>
    <style>
        body, html {
            margin: 0;
            padding: 0;
            height: 100%;
            width: 100%;
            
        }
        .certificado {
            position: relative;
            width: 100%;
            height: 100%;
        }
        .certificado img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            object-fit: cover; /* Ajusta la imagen al contenedor */
        }
        .campo {
            position: absolute;
            font-size: 18px;
            font-weight: bold;
            color: #000;
        }
        /* Posiciones ajustadas para campos específicos */
        .miembro {
            top: 310px;
            left: 400px;
        }
        .iglesia {
            top: 379px;
            left: 150px;
        }
        .numero {
            top: 614px;
            left: 175px;
        }
        .folio {
            top: 614px;
            left: 350px;
        }
        .otorgado {
            top: 650px;
            left: 520px;
        }
        .lugar {
            top: 700px;
            left: 400px;
        }
        .fecha {
            top: 700px;
            left: 760px;
        }
    </style>
</head>
<body>
    <div class="certificado">
        <img src="<?php echo e(public_path('img/bautismo_plantilla.png')); ?>" alt="Certificado de Bautismo">
        
        <!-- Campos de texto -->
        <div class="campo miembro"><?php echo e($miembro->nombre); ?> <?php echo e($miembro->apellidos); ?></div>
        <div class="campo iglesia"><?php echo e($iglesia->nombre ?? 'N/A'); ?></div>
        <div class="campo numero"><?php echo e($certificado->numero ?? 'N/A'); ?></div>
        <div class="campo folio"><?php echo e($certificado->folio ?? 'N/A'); ?></div>
        <div class="campo otorgado"><?php echo e($certificado->otorgado ?? 'N/A'); ?></div>
        <div class="campo lugar"><?php echo e($certificado->lugar ?? 'N/A'); ?></div>
        <div class="campo fecha"><?php echo e(\Carbon\Carbon::parse($certificado->fecha)->format('d/m/Y')); ?></div>
    </div>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/certificados/pdf_bautismo.blade.php ENDPATH**/ ?>