

<?php $__env->startSection('content'); ?>

    <h3 style="color: #ffffff;">Pagos Realizados por Iglesia y Regional</h3>

        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
    <!-- Filtro de fechas -->
    <form method="GET" action="<?php echo e(route('reportes.pagos_por_iglesia')); ?>" class="form-inline mb-3">
        <label for="fecha_inicio">Fecha Inicio:</label>
        <input type="date" name="fecha_inicio" class="form-control mx-2" value="<?php echo e(request('fecha_inicio')); ?>">
        <label for="fecha_fin">Fecha Fin:</label>
        <input type="date" name="fecha_fin" class="form-control mx-2" value="<?php echo e(request('fecha_fin')); ?>">
        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="<?php echo e(route('reportes.descargar', ['tipoReporte' => 'pagos_por_iglesia', 'fecha_inicio' => request('fecha_inicio'), 'fecha_fin' => request('fecha_fin')])); ?>" class="btn btn-secondary ml-3">Descargar PDF</a>
        <a href="<?php echo e(route('reportes.pagos_por_iglesia')); ?>" class="btn btn-warning ml-3">Ver todos</a> <!-- Botón de refrescar -->
    </form>
<div class="table-responsive">
    <table  class="table table-striped table-hover">
        <thead style="background-color:#2c08f5">
            <tr>
                <th style="color:#ffffff">Iglesia</th>
                <th style="color:#ffffff">Regional</th>
                <th style="color:#ffffff">Total Pagado (Bs)</th>
                <th style="color:#ffffff">Fecha de Pago</th> <!-- Nueva columna para mostrar la fecha de pago -->
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $pagosPorIglesiaData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pago): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($pago->iglesia); ?></td>
                    <td><?php echo e($pago->regional); ?></td>
                    <td><?php echo e($pago->total_pagado); ?> Bs</td>
                    <td><?php echo e(\Carbon\Carbon::parse($pago->created_at)->format('d/m/Y')); ?></td> <!-- Formato de fecha -->
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
    </div>
</div>
</div>
</div>
</div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sananton/public_html/betesda/resources/views/reportes/pagos_por_iglesia.blade.php ENDPATH**/ ?>