<!-- Inicio -->
<li class="side-menus <?php echo e(Request::is('inicio*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/home">
        <i class="fas fa-building"></i><span> Inicio</span>
    </a>
</li>

<!-- Opciones para Administrador -->
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Administrador')): ?>
<li class="side-menus <?php echo e(Request::is('usuarios*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/usuarios">
        <i class="fas fa-users"></i><span> Usuarios</span>
    </a>
</li>

<li class="side-menus <?php echo e(Request::is('roles*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/roles">
        <i class="fas fa-user-shield"></i><span> Roles</span>
    </a>
</li>
<li class="side-menus <?php echo e(Request::is('QR*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('QR.index')); ?>">
        <i class="fas fa-chart-bar"></i><span>Configuracion QR</span>
    </a>
</li>
<?php endif; ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Administrador')): ?>
<li class="side-menus <?php echo e(Request::is('secretarios*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/secretarios">
        <i class="fas fa-user-tie"></i><span> Secretarios</span> <!-- Ícono cambiado a "user-tie" -->
    </a>
</li>

<!-- Opciones para Secretario de Actas -->

<li class="side-menus <?php echo e(Request::is('regionales*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/regionales">
        <i class="fas fa-map-marked-alt"></i><span> Regionales</span>
    </a>
</li>
<li class="side-menus <?php echo e(Request::is('iglesias*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/iglesias">
        <i class="fas fa-church"></i><span> Iglesias</span>
    </a>
</li>
<?php endif; ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Secretario_Actas')): ?>
<li class="side-menus <?php echo e(Request::is('miembros*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/miembros">
        <i class="fas fa-users"></i><span> Miembros</span>
    </a>
</li>
<li class="side-menus <?php echo e(Request::is('certificados*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/certificados">
        <i class="fas fa-certificate"></i><span> Certificados</span>
    </a>
</li>
<li class="side-menus <?php echo e(Request::is('pagos*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/pagos">
        <i class="fas fa-receipt"></i><span> Historial de pagos</span>
    </a>
</li>
<?php endif; ?>
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Presidente')): ?>
<li class="side-menus <?php echo e(Request::is('reportes*') ? 'active' : ''); ?>">
    <a class="nav-link" href="/reportes">
        <i class="fas fa-file-alt"></i><span> Reportes</span> <!-- Ícono cambiado a "file-alt" -->
    </a>
</li> 
<?php endif; ?>
<!-- Opciones para Miembros -->
<?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Miembro')): ?>
<li class="side-menus <?php echo e(Request::is('miembros/dashboard*') ? 'active' : ''); ?>">
    <a class="nav-link" href="<?php echo e(route('miembros.dashboard')); ?>">
        <i class="fas fa-file-alt"></i><span> Mis Certificados</span>
    </a>
</li>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/layouts/menu.blade.php ENDPATH**/ ?>