<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Secretario extends Model
{
    use HasFactory;
    protected $table = 'secretario';
       // Definir los campos asignables en masa
       protected $fillable = ['nombre', 'apellidos', 'carnet', 'telefono', 'correo', 'direccion', 'fecha_de_nacimiento', 'estado','iglesia_id'];



       public function user()
       {
           return $this->belongsTo(User::class);

       }
       public function iglesia()
       {
           return $this->belongsTo(Iglesia::class);
       }
}
