<!-- Inicio -->
<li class="side-menus {{ Request::is('inicio*') ? 'active' : '' }}">
    <a class="nav-link" href="/home">
        <i class="fas fa-building"></i><span> Inicio</span>
    </a>
</li>

<!-- Opciones para Administrador -->
@can('Administrador')
<li class="side-menus {{ Request::is('usuarios*') ? 'active' : '' }}">
    <a class="nav-link" href="/usuarios">
        <i class="fas fa-users"></i><span> Usuarios</span>
    </a>
</li>

<li class="side-menus {{ Request::is('roles*') ? 'active' : '' }}">
    <a class="nav-link" href="/roles">
        <i class="fas fa-user-shield"></i><span> Roles</span>
    </a>
</li>
<li class="side-menus {{ Request::is('QR*') ? 'active' : '' }}">
    <a class="nav-link" href="{{ route('QR.index') }}">
        <i class="fas fa-chart-bar"></i><span>Configuracion QR</span>
    </a>
</li>
@endcan
@can('Administrador')
<li class="side-menus {{ Request::is('secretarios*') ? 'active' : '' }}">
    <a class="nav-link" href="/secretarios">
        <i class="fas fa-user-tie"></i><span> Secretarios</span> <!-- Ícono cambiado a "user-tie" -->
    </a>
</li>

<!-- Opciones para Secretario de Actas -->

<li class="side-menus {{ Request::is('regionales*') ? 'active' : '' }}">
    <a class="nav-link" href="/regionales">
        <i class="fas fa-map-marked-alt"></i><span> Regionales</span>
    </a>
</li>
<li class="side-menus {{ Request::is('iglesias*') ? 'active' : '' }}">
    <a class="nav-link" href="/iglesias">
        <i class="fas fa-church"></i><span> Iglesias</span>
    </a>
</li>
@endcan
@can('Secretario_Actas')
<li class="side-menus {{ Request::is('miembros*') ? 'active' : '' }}">
    <a class="nav-link" href="/miembros">
        <i class="fas fa-users"></i><span> Miembros</span>
    </a>
</li>
<li class="side-menus {{ Request::is('certificados*') ? 'active' : '' }}">
    <a class="nav-link" href="/certificados">
        <i class="fas fa-certificate"></i><span> Certificados</span>
    </a>
</li>
<li class="side-menus {{ Request::is('pagos*') ? 'active' : '' }}">
    <a class="nav-link" href="/pagos">
        <i class="fas fa-receipt"></i><span> Historial de pagos</span>
    </a>
</li>
@endcan
@can('Presidente')
<li class="side-menus {{ Request::is('reportes*') ? 'active' : '' }}">
    <a class="nav-link" href="/reportes">
        <i class="fas fa-file-alt"></i><span> Reportes</span> <!-- Ícono cambiado a "file-alt" -->
    </a>
</li> 
@endcan
<!-- Opciones para Miembros -->
@can('Miembro')
<li class="side-menus {{ Request::is('miembros/dashboard*') ? 'active' : '' }}">
    <a class="nav-link" href="{{ route('miembros.dashboard') }}">
        <i class="fas fa-file-alt"></i><span> Mis Certificados</span>
    </a>
</li>
@endcan
