

<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading" style="color: #0e25f8; ">Roles</h3>
        </div>
        <?php if(session('success')): ?>
        <div class="alert alert-success">
            <?php echo e(session('success')); ?>

        </div>
    <?php endif; ?>

    <?php if(session('error')): ?>
        <div class="alert alert-danger">
            <?php echo e(session('error')); ?>

        </div>
    <?php endif; ?>
    <?php if($errors->has('name')): ?>
    <div class="alert alert-danger">
        <?php echo e($errors->first('name')); ?>

    </div>
<?php endif; ?>

        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <a class="btn btn-warning"  style="background-color: #0e25f8; color: white;" href="<?php echo e(route('roles.create')); ?>">Nuevo</a>
                            <table class="table table-striped mt-2">
                                <thead style="background-color:#0e25f8">
                                    <th style="color:#fff;">Rol</th>
                                    <th style="color:#fff;">Descripcion</th>
                                    <th style="color:#ffffff;">Acciones</th>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($role->name); ?></td>
                                        <td><?php echo e($role->description); ?></td>
                                        <td>
                                         
                                                <a class="btn btn-primary" href="<?php echo e(route('roles.edit', $role->id)); ?>">Editar</a>
                                           
                                        </td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                            <div class="pagination justify-content-end">
                                <?php echo $roles->links(); ?>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis_1\resources\views/roles/index.blade.php ENDPATH**/ ?>