

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 style="color: #ffffff;">Total de Certificados Emitidos por Iglesia y Regional</h3>

    <!-- Filtro de fechas -->
    <form method="GET" action="<?php echo e(route('reportes.total_certificados')); ?>" class="form-inline mb-3">
        <label for="fecha_inicio">Fecha Inicio:</label>
        <input type="date" name="fecha_inicio" class="form-control mx-2" value="<?php echo e(request('fecha_inicio')); ?>">
        <label for="fecha_fin">Fecha Fin:</label>
        <input type="date" name="fecha_fin" class="form-control mx-2" value="<?php echo e(request('fecha_fin')); ?>">
        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="<?php echo e(route('reportes.descargar', ['tipoReporte' => 'total_certificados', 'fecha_inicio' => request('fecha_inicio'), 'fecha_fin' => request('fecha_fin')])); ?>" class="btn btn-secondary ml-3">Descargar PDF</a>
        <a href="<?php echo e(route('reportes.total_certificados')); ?>" class="btn btn-warning ml-3">Ver todos</a> <!-- Botón de refrescar -->
    </form>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Iglesia</th>
                <th>Regional</th>
                <th>Total Emitido</th>
                <th>Fecha de Registro</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $certificadosTotalesData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $certificado): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($certificado->iglesia); ?></td>
                    <td><?php echo e($certificado->regional); ?></td>
                    <td><?php echo e($certificado->total); ?></td>
                    <td><?php echo e(\Carbon\Carbon::parse($certificado->created_at)->format('d/m/Y')); ?></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\iglesia_sis\resources\views/reportes/total_certificados.blade.php ENDPATH**/ ?>